{% extends 'base.html.twig' %}

{% block title %}History{% endblock %}

{% block body %}
    <h1>History</h1>

    <table class="table">
        <thead>
            <tr>
                <th>First Name</th>
                <th>Last Name</th>
                <th>Email</th>
                <th>Total Score</th>
                <th>Total Unanswered</th>
                <th>Submission Date</th>
            </tr>
        </thead>
        <tbody>
        {% for answer in answers %}
            <tr>
                <td>{{ answer.firstName }}</td>
                <td>{{ answer.lastName }}</td>
                <td>{{ answer.email }}</td>
                <td>{{ answer.totalScore }}</td>
                <td>{{ answer.totalUnanswered }}</td>
                <td>{{ answer.submittedAt ? answer.submittedAt|date('Y-m-d H:i:s') : '' }}</td>
            </tr>
        {% else %}
            <tr>
                <td colspan="9">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
{% endblock %}
